import {
  DeesElement,
  customElement,
  type TemplateResult,
  html,
  css,
} from '@design.estate/dees-element';

@customElement('test-noprops')
export class TestNoProps extends DeesElement {
  public static demo = () => html`<test-noprops></test-noprops>`;

  public static styles = [
    css`
      :host {
        display: block;
        padding: 20px;
        background: #f0f0f0;
        border: 2px solid #ccc;
        border-radius: 8px;
      }
      .message {
        font-family: monospace;
        color: #666;
      }
    `
  ];

  public render() {
    return html`
      <div class="message">
        This element has no @property decorators.
        Properties panel should handle this gracefully.
      </div>
    `;
  }
}